LINUX.ORG.RU

aMule 2.1.3 crash


0

0

Уже давно собирал пакет, всё работало. Теперь понадобилось, установил собранный пакет в систему, не работает. :-\ потребовало какую то библиотеку, которую не смог найти.. пересобрал из порта. Пересобралось, но, вот, не запускается.. Дистрибутив CRUX 2.4 Пакет собирал около полугода назад. За это время GTK уже поменял.
Вобщем, если какие то конструктивные соображения..
Написал на форум к ним (там люди SVN сборки мусолят, а я вот с пустяками): http://forum.amule.org/index.php?topic=15021.0

$ uname -a
Linux Panama 2.6.23.14 #1 SMP Sun May 11 15:37:37 MSD 2008 i686 pentium4 i386 GNU/Linux

$ amule -v
aMule 2.1.3 using wxGTK2 v2.6.4 (OS: Linux)

$ amule --sync
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
The program 'amule' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
(Details: serial 1202 error_code 11 request_code 145 minor_code 5)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)

★★

Re:

Не думаю, что тут что-то можно сделать. Выходят из положения тем, что перезапускают aMule после очередного сегфолта.

record ★★★★★ ()
Ответ на: Re: от record

Re:

>Не думаю, что тут что-то можно сделать. Выходят из положения тем, что перезапускают aMule после очередного сегфолта.

Так оно вообще не запускается

baaba ★★ ()
Ответ на: Re: aMule 2.1.3 crash от baaba

Re: aMule 2.1.3 crash

а не знаю. у меня были те же проблемы — оно подралось с wx. в итоге убил обоих, как мусор. оно то ли версию старее хочет, то ли новее. если тебе критично — поперебирай версии wx, с какой-то заработает. я не стал перебирать.

anonymous ()

Re:

обновись ;-)

"2.1.3 is now seriously outdated. Please try a current SVN snapshot."

record ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.